﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using DatePickerInGrid.Models;
using Infragistics.Web.Mvc;

namespace DatePickerInGrid.Controllers
{
    public class HomeController : Controller
    {
        private static List<Product> products = GetProducts();
        public ActionResult Index()
        {
            return View(products.AsQueryable());
        }
        private static List<Product> GetProducts()
        {
            List<Product> products = new List<Product>()
            {
                new Product() { ProductID = 1, Name = "Adjustable Race", ReleaseDate = new DateTime(2016, 01, 01) },
                new Product() { ProductID = 2, Name = "Bearing Ball", ReleaseDate = new DateTime(2016, 11, 15) },
                new Product() { ProductID = 3, Name = "BB Ball Bearing", ReleaseDate = new DateTime(2016, 10, 21) },
                new Product() { ProductID = 4, Name = "Headset Ball Bearings", ReleaseDate = new DateTime(2016, 06, 13) },
                new Product() { ProductID = 5, Name = "Adjustable Race", ReleaseDate = new DateTime(2016, 01, 01) },
                new Product() { ProductID = 6, Name = "Bearing Ball", ReleaseDate = new DateTime(2016, 11, 15) },
                new Product() { ProductID = 7, Name = "BB Ball Bearing", ReleaseDate = new DateTime(2016, 10, 21) },
                new Product() { ProductID = 8, Name = "Headset Ball Bearings", ReleaseDate = new DateTime(2016, 06, 13) },
                new Product() { ProductID = 9, Name = "Adjustable Race", ReleaseDate = new DateTime(2016, 01, 01) },
                new Product() { ProductID = 10, Name = "Bearing Ball", ReleaseDate = new DateTime(2016, 11, 15) },
                new Product() { ProductID = 11, Name = "BB Ball Bearing", ReleaseDate = new DateTime(2016, 10, 21) },
                new Product() { ProductID = 12, Name = "Headset Ball Bearings", ReleaseDate = new DateTime(2016, 06, 13) },
            };

            return products;
        }

        [GridDataSourceAction]
        public ActionResult GetData()
        {
            return View(products.AsQueryable());
        }
    }
}